## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.pages.intropage
Interface IIntroHyperAction

All Superinterfaces:
  org.eclipse.jface.action.IAction

All Known Implementing Classes:
  DisplayHelpAction, IntroHyperAction, SetGeneralPageAction, StartEditAction

    public interface IIntroHyperAction

extends org.eclipse.jface.action.IAction

Will be called to set the page

Author:
  Idull

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Method Summary
`void` `setPage(ISchemaObjectEditorPage page)` Sets the page's reference

Methods inherited from interface org.eclipse.jface.action.IAction

`addPropertyChangeListener, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, removePropertyChangeListener, run, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Method Detail

### setPage

    void setPage(ISchemaObjectEditorPage page)

  Sets the page's reference

  Parameters:
    `page` -